/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy } from '@angular/core';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
interface StagesProps {
    stages: any[];
}
export declare class StagesComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private utils;
    pConn$: typeof PConnect;
    angularPConnectData: AngularPConnectData;
    PCore$: typeof PCore;
    configProps$: StagesProps;
    arStageResults$: any[];
    lastStage$: any;
    checkSvgIcon$: string;
    key: string;
    constructor(angularPConnect: AngularPConnectService, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StagesComponent, "app-stages", never, { "pConn$": { "alias": "pConn$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
